# Copyright  2004 Nokia Corporation
# 
# Description: common rules used freedesktop xlibs packages generation
#
#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation (version 2 of the License).
#
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with this program; if not, write to the Free Software
#     Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

ifndef _cdbs_bootstrap
_cdbs_scripts_path ?= /usr/lib/cdbs
_cdbs_rules_path ?= /usr/share/cdbs/1/rules
_cdbs_class_path ?= /usr/share/cdbs/1/class
endif

ifndef _cdbs_class_xlibs
 _cdbs_class_xlibs := 1

include $(_cdbs_class_path)/autotools.mk$(_cdbs_makefile_suffix)
include $(_cdbs_rules_path)/debhelper.mk$(_cdbs_makefile_suffix)

DEB_INSTALL_DOCS_ALL =

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --disable-rpath --includedir=/usr/X11R6/include

debian/stamp-autotools-files: debian/copyright
	autoreconf -v --install
	touch $@
	
debian/copyright: debian/copyright.debian AUTHORS COPYING
	cat $+ > $@

clean::
	-rm -f debian/copyright
	-rm -f aclocal.m4 config.guess config.sub ltmain.sh config.h.in install-sh
	-rm -f missing compile depcomp Makefile.in configure


endif #_cdbs_class_xlibs
